# Week 8

Remember, each week you must complete the weekly quiz, just general questions around what you have been learning on the module. These quizzes are not marked directly but you will get a mark for completing 90% of them.
> 
> **This week's quiz can be found here:**  https://go.uwe.ac.uk/cppQuiz
> 
> [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=7f58e51b-a916-4a01-a478-adba00ef4f9d&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/execute/content/file?cmd=view&content_id=_10054928_1&course_id=_358428_1&launch_in_new=true)
> 
## Working on

- Continue getting familiar with a simple development environment
- Making basic usage of git for version control
- Starting to write simple expressions and statements to solve problems
- Understanding variables, literals and common types

## Have already completed ...

- Setup up your own machine for development
- Understand the basics of git for forking, cloning and pushing code.

If you have not already completed this please do so ASAP.

## By the end of the week...

... you should have completed:

* Completed the setup guide
- Watching [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=7f58e51b-a916-4a01-a478-adba00ef4f9d&instance=Blackboard) / [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/execute/content/file?cmd=view&content_id=_10054928_1&course_id=_358428_1&launch_in_new=true)
- Watching  [Ben's 3 part videos on source control with git](https://www.youtube.com/watch?v=25_mXw_veVg&list=PLe2QYG8u2CjMXsGSL7NOE4E9pe0Thd1gB)
* Completed Worksheet 1 
- Attend a face-to-face seminar 
- Attend a face-to-face practical

...you should be able to:

- Use _git_ to track and manage source files
- Explore programming concepts with Scratch

## Resources

- Worksheet1 ([here](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet1/worksheet1.md))
- Guide on using [Command Line Interfaces ](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/cli.md?ref_type=heads)
- [Git introduction](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/intro-to-git.md?ref_type=heads)
- [Git submissions](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-submissions.md?ref_type=heads)
- [Git Reference](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-reference.md?ref_type=heads)

### Videos

-  [Ben's 3 part videos on source control with git](https://www.youtube.com/watch?v=25_mXw_veVg&list=PLe2QYG8u2CjMXsGSL7NOE4E9pe0Thd1gB)
- [git explained in 100 seconds](https://www.youtube.com/watch?v=hwP7WQkmECE)
- [How to use git and GitHub](https://www.youtube.com/watch?v=HkdAHXoRtos)
